## zarr 0.1.1

=== DESCRIPTION ===
Package: zarr
Title: Native and Extensible R Driver for 'Zarr'
Version: 0.1.1
Authors@R: 
    person("Patrick", "Van Laake", , "patrick@vanlaake.net", role = c("aut", "cre", "cph"))
Description: The 'Zarr' specification is widely used to build libraries for the storage and retrieval of n-dimensional array data from data stores ranging from local file systems to the cloud. This package is a native 'Zarr' implementation in R with support for all required features of 'Zarr' version 3. It is designed to be extensible such that new stores, codecs and extensions can be added easily.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.3
Imports: jsonlite, methods, R6
Suggests: bit64, blosc, digest, testthat (>= 3.0.0), zlib
Config/testthat/edition: 3
Config/Needs/website: rmarkdown
URL: https://github.com/R-CF/zarr
BugReports: https://github.com/R-CF/zarr/issues
NeedsCompilation: no
Packaged: 2025-12-01 09:36:19 UTC; patrickvanlaake
Author: Patrick Van Laake [aut, cre, cph]
Maintainer: Patrick Van Laake <patrick@vanlaake.net>
Repository: CRAN
Date/Publication: 2025-12-06 11:50:02 UTC

## zarr 0.2.0

=== DESCRIPTION ===
Package: zarr
Title: Native and Extensible R Driver for 'Zarr'
Version: 0.2.0
Authors@R: 
    person("Patrick", "Van Laake", , "patrick@vanlaake.net", role = c("aut", "cre", "cph"))
Description: The 'Zarr' specification is widely used to build libraries for the storage and retrieval of n-dimensional array data from data stores ranging from local file systems to the cloud. This package is a native 'Zarr' implementation in R with support for all required features of 'Zarr' version 3. It is designed to be extensible such that new stores, codecs and extensions can be added easily.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.3
Imports: blosc, jsonlite, methods, R6
Suggests: bit64, curl, digest, qs2, testthat (>= 3.0.0), zlib
Config/testthat/edition: 3
Config/Needs/website: rmarkdown
Depends: R (>= 4.1)
URL: https://github.com/R-CF/zarr, https://r-cf.github.io/zarr/
BugReports: https://github.com/R-CF/zarr/issues
NeedsCompilation: no
Packaged: 2026-02-11 11:51:54 UTC; patrickvanlaake
Author: Patrick Van Laake [aut, cre, cph]
Maintainer: Patrick Van Laake <patrick@vanlaake.net>
Repository: CRAN
Date/Publication: 2026-02-11 12:20:02 UTC

## zarr 2.4.0%2Bds

=== debian/changelog ===
zarr (2.4.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Fix project URL.
  * debian/control:
    - build depend on python3-sphinx-rtd-theme
  * debian/patches:
    - drop 0002-Use-mock-for-stdlib.patch, no longer necessary
    - refresh and renumber remaining patches
  * debian/python3-zarr.docs:
    - README.rst --> README.md

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 13 Jan 2020 21:15:15 +0000

zarr (2.3.2+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Anton Gladky <gladk@debian.org>  Sun, 05 Jan 2020 10:49:26 +0100

zarr (2.3.2+ds-1) unstable; urgency=medium

  * Initial version (Closes: #888481)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 06 Oct 2019 08:09:07 +0000

=== debian/control ===
Source: zarr
Section: python
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-asciitree,
               python3-fasteners,
               python3-h5py,
               python3-msgpack,
               python3-numcodecs,
               python3-numpy,
               python3-numpydoc,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/zarr
Vcs-Git: https://salsa.debian.org/science-team/zarr.git
Homepage: https://github.com/zarr-developers/zarr-python

Package: python3-zarr
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests},
          python3-h5py
Description: chunked, compressed, N-dimensional arrays for Python
 Zarr is a Python package providing an implementation of compressed,
 chunked, N-dimensional arrays, designed for use in parallel
 computing. Some highlights:
 .
   - Create N-dimensional arrays with any NumPy dtype.
   - Chunk arrays along any dimension.
   - Compress chunks using the fast Blosc meta-compressor or
     alternatively using zlib, BZ2 or LZMA.
   - Store arrays in memory, on disk, inside a Zip file, on S3, ...
   - Read an array concurrently from multiple threads or processes.
   - Write to an array concurrently from multiple threads or processes.
   - Organize arrays into hierarchies via groups.
   - Use filters to preprocess data and improve compression.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=zarr

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	echo "version = '$(DEB_VERSION_UPSTREAM)'" > zarr/version.py
	dh_auto_configure

override_dh_auto_build-indep:
	dh_auto_build -i
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

override_dh_auto_clean:
	# does not work due to missing setuptools-scm
	# dh_auto_clean
	$(RM) zarr/version.py
	$(RM) -r .pytest_cache .pybuild build zarr.egg-info
	$(RM) -r $(shell find . -name __pycache__)

## zarr 2.4.0+ds

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|zarr-python)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/zarr-python-$1.$2/,\
repacksuffix=+ds \
https://github.com/zarr-developers/zarr-python/releases \
(?:.*?/archive/)?(?:rel|v|zarr-python)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zarr 2.6.1+ds

=== debian/changelog ===
zarr (2.6.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version bumped to 4.5.1 (no changes).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Dec 2020 17:43:32 +0000

zarr (2.5.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standard version bumped to 4.5.0 (non changes).
  * debian/control:
    - build-depend on python3-sphinx-issues
    - suggest jupyter-notebook
  * debian/patches:
    - refresh all patches
    - drop 0002-No-spninx-issues.patch no longer needed
      (now sphinx-issues is available in debian)
    - drop 0002-Clean-fixtures.patch (use install file instead)
    - add the Forwarded field to remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Oct 2020 07:50:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: zarr
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
@@ -18,11 +17,13 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-issues,
                python3-sphinx-rtd-theme
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/zarr
 Vcs-Git: https://salsa.debian.org/science-team/zarr.git
 Homepage: https://github.com/zarr-developers/zarr-python
+Rules-Requires-Root: no
 
 Package: python3-zarr
 Architecture: all
@@ -31,7 +32,8 @@
          ${sphinxdoc:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests},
-          python3-h5py
+          python3-h5py,
+          jupyter-notebook
 Description: chunked, compressed, N-dimensional arrays for Python
  Zarr is a Python package providing an implementation of compressed,
  chunked, N-dimensional arrays, designed for use in parallel

=== debian/tests/control ===
Tests: python3
Depends: @, python3-h5py, python3-pytest, python3-msgpack

## zarr 2.10.3+ds

=== debian/changelog ===
zarr (2.10.3+ds-1) unstable; urgency=medium

  * New usptream version.
  * De-enable previously disabled tests in debian/rules.
  * Update copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Nov 2021 11:30:37 +0000

zarr (2.10.2+ds-2) unstable; urgency=medium

  * debian/tests:
    - fix autopkgtests (exclude tests requiring write
      permissions on system directories).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Oct 2021 08:22:31 +0000

zarr (2.10.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - drop explicit build dependency on dh-sequence-python3,
      not needed.
  * debian/rules:
    - tempary disable failing test, see
      https://github.com/zarr-developers/zarr-python/issues/858

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Oct 2021 07:22:00 +0000

zarr (2.10.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add build dependency on dh-sequence-python3.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Oct 2021 10:52:06 +0000

zarr (2.10.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.6.0 (no chenges).
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 21 Sep 2021 06:14:26 +0000

zarr (2.9.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * Fix autopkgtest (skip tests that require write
    permission in the installation root directory).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Sep 2021 09:14:04 +0000

zarr (2.9.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 29 Aug 2021 18:01:27 +0000

zarr (2.8.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update the debian/watch file.
  * debian/patches:
    - refresh all patches.
  * debian/control:
    - remove undefined substitution variables.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Aug 2021 10:24:43 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-sphinx,
                python3-sphinx-issues,
                python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/zarr
 Vcs-Git: https://salsa.debian.org/science-team/zarr.git
 Homepage: https://github.com/zarr-developers/zarr-python
@@ -30,9 +30,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests},
-          python3-h5py,
+Suggests: python3-h5py,
           jupyter-notebook
 Description: chunked, compressed, N-dimensional arrays for Python
  Zarr is a Python package providing an implementation of compressed,

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,10 @@
 	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
 endif
 
+override_dh_auto_test:
+	dh_auto_test
+	$(RM) -r .pybuild/*/build/fixture .pybuild/*/build/data
+
 override_dh_auto_clean:
 	# does not work due to missing setuptools-scm
 	# dh_auto_clean

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 filenamemangle=s/(?:.*?)?(?:rel|v|zarr-python)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/zarr-python-$1.$2/,\
 repacksuffix=+ds \
 https://github.com/zarr-developers/zarr-python/releases \
-(?:.*?/archive/)?(?:rel|v|zarr-python)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+(?:.*?/archive/(?:.*?/)?)?(?:rel|v|zarr-python)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zarr 2.13.6+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from https://www.sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zarr.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zarr.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zarr"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zarr"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
zarr (2.13.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * Standards version bumped to 4.6.2, no changes.
  * debian/patches:
    - drop 0001-No-setuptools-scm.patch, no longer needed.
  * debian/control:
    - add build-depencency on python3-setuptools-scm.
  * Enable CI on salsa.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 19 Jan 2023 07:24:00 +0000

zarr (2.13.3+ds-2) unstable; urgency=medium

  * debian/rules:
    - explicitly specify LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 before
      building the sphinx documentatiion.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 13 Oct 2022 06:54:18 +0000

zarr (2.13.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 12 Oct 2022 06:39:54 +0000

zarr (2.13.2+ds-2) unstable; urgency=medium

  * Temporary disamble tests that are broken on BE architectures.
    See also https://github.com/zarr-developers/zarr-python/issues/844
    and https://github.com/zarr-developers/zarr-python/pull/869.
    Closes: #1018939.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 07 Oct 2022 05:39:07 +0000

zarr (2.13.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Oct 2022 06:51:56 +0000

zarr (2.13.0+ds-2) unstable; urgency=medium

  * debian/tests:
    - skip tests requiring access to the unavailable fixture folder.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Sep 2022 07:04:36 +0000

zarr (2.13.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches.
  * debian/control:
    - add dependency on python3-sphinx-copybutton.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Sep 2022 06:33:48 +0000

zarr (2.12.0+ds-2) unstable; urgency=medium

  * Fix d/copyright formatting.
  * Fix d/watch.
  * debian/rules:
    - set LC_ALL=C.UTF-8 to build documentation reproducibly.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Sep 2022 16:24:40 +0000

zarr (2.12.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standard version bumped to 4.6.1, no changes.
  * debian/control:
    - build-depend on pybuild-plugin-pyproject.
  * debian/tests:
    - autopackagetes with all supported Python versions.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 24 Jun 2022 07:07:44 +0000

zarr (2.11.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - fix zarr/version.py generation (strip +ds suffix).
  * debian/patches:
    - improved 0001-No-setuptools-scm.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Apr 2022 06:50:20 +0000

zarr (2.11.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyrigth.
  * Update dependencies in d/control.
    Added dependencies on python3-fsspec,
    python3-pytest-doctestplus, python3-pytest-timeout.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Mar 2022 08:39:15 +0000

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,26 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-asciitree,
                python3-fasteners,
+               python3-fsspec,
                python3-h5py,
                python3-msgpack,
                python3-numcodecs,
                python3-numpy,
                python3-numpydoc,
                python3-pytest,
+               python3-pytest-doctestplus,
+               python3-pytest-timeout,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sphinx,
+               python3-sphinx-copybutton,
                python3-sphinx-issues,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/zarr
 Vcs-Git: https://salsa.debian.org/science-team/zarr.git
 Homepage: https://github.com/zarr-developers/zarr-python
@@ -29,7 +35,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ${sphinxdoc:Depends}
+         ${sphinxdoc:Depends},
+         python3-sphinx-copybutton
+Recommends: python3-fsspec
 Suggests: python3-h5py,
           jupyter-notebook
 Description: chunked, compressed, N-dimensional arrays for Python

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,21 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
+export UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
+UPSTREAM_VERSION_MAJOR = $(shell echo $(UPSTREAM_VERSION) | cut -d '.' -f 1)
+UPSTREAM_VERSION_MINOR = $(shell echo $(UPSTREAM_VERSION) | cut -d '.' -f 2)
+UPSTREAM_VERSION_PATCH = $(shell echo $(UPSTREAM_VERSION) | cut -d '.' -f 3)
 
+export PYBUILD_TEST_ARGS=-k 'not test_nbytes_stored'
 export PYBUILD_NAME=zarr
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_configure:
-	echo "version = '$(DEB_VERSION_UPSTREAM)'" > zarr/version.py
+	echo "version = '$(UPSTREAM_VERSION)'" > zarr/version.py
+	echo "version_tuple = ($(UPSTREAM_VERSION_MAJOR), $(UPSTREAM_VERSION_MINOR), $(UPSTREAM_VERSION_PATCH))" >> zarr/version.py
+	cat zarr/version.py
 	dh_auto_configure
 
 override_dh_auto_build-indep:
@@ -20,6 +27,7 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	cd docs && \
 	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
+	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 \
 	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
 	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
 endif

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-h5py, python3-pytest, python3-msgpack

## zarr 2.16.0+ds

=== debian/changelog ===
zarr (2.16.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Jul 2023 10:21:34 +0000

zarr (2.15.0+ds-2) unstable; urgency=medium

  * Skip broken test on big-endian architectures. See
    https://github.com/zarr-developers/zarr-python/issues/1374

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 28 Jun 2023 06:16:14 +0000

zarr (2.15.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Jun 2023 12:33:37 +0000

zarr (2.14.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add build dependency on sphinx-design and
      pydata-sphinx-theme
    - bump debhelper-compat to 13.
  * Disable test_utf8_encoding. It requires external data
    that are not available in the source package.
  * Add d/python3-zarr.links and d/python3-zarr.lintian-overrides files.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jun 2023 14:36:26 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
@@ -23,8 +23,10 @@
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-copybutton,
+               python3-sphinx-design,
                python3-sphinx-issues,
-               python3-sphinx-rtd-theme
+               python3-sphinx-rtd-theme,
+               python3-pydata-sphinx-theme
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/zarr
 Vcs-Git: https://salsa.debian.org/science-team/zarr.git
@@ -36,7 +38,8 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends},
-         python3-sphinx-copybutton
+         python3-sphinx-copybutton,
+         python3-pydata-sphinx-theme
 Recommends: python3-fsspec
 Suggests: python3-h5py,
           jupyter-notebook

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 UPSTREAM_VERSION_MINOR = $(shell echo $(UPSTREAM_VERSION) | cut -d '.' -f 2)
 UPSTREAM_VERSION_PATCH = $(shell echo $(UPSTREAM_VERSION) | cut -d '.' -f 3)
 
-export PYBUILD_TEST_ARGS=-k 'not test_nbytes_stored'
+export PYBUILD_TEST_ARGS=-k 'not test_nbytes_stored and not test_utf8_encoding and not test_hexdigest'
 export PYBUILD_NAME=zarr
 
 %:

## zarr 2.17.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                pybuild-plugin-pyproject,
                python3-all,
                python3-asciitree,
@@ -15,18 +18,18 @@
                python3-msgpack,
                python3-numcodecs,
                python3-numpy,
-               python3-numpydoc,
-               python3-pytest,
-               python3-pytest-doctestplus,
-               python3-pytest-timeout,
+               python3-numpydoc <!nodoc>,
+               python3-pytest <!nocheck>,
+               python3-pytest-doctestplus <!nocheck>,
+               python3-pytest-timeout <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-sphinx,
-               python3-sphinx-copybutton,
-               python3-sphinx-design,
-               python3-sphinx-issues,
-               python3-sphinx-rtd-theme,
-               python3-pydata-sphinx-theme
+               python3-sphinx <!nodoc>,
+               python3-sphinx-automodapi <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
+               python3-sphinx-design <!nodoc>,
+               python3-sphinx-issues <!nodoc>,
+               python3-pydata-sphinx-theme <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/zarr
 Vcs-Git: https://salsa.debian.org/science-team/zarr.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM:+ds=)

export PYBUILD_NAME=zarr
export PYBUILD_TEST_ARGS=\
-k "not test_hierarchy \
and not test_utf8_encoding \
and not [static_flat] \
and not [static_nested] \
and not [static_flat_legacy] \
and not [static_nested_legacy] \
and not test_meta_prefix_6853" \
--pyargs ${PYBUILD_NAME}

ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))
export PYBUILD_DISABLE=test
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd $(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') && \
	PYTHONPATH=. \
	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 \
	sphinx-build -N -E -T -b html $(CURDIR)/docs $(CURDIR)/.pybuild/docs/html
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

execute_after_dh_auto_test:
	$(RM) -r .pybuild/*/build/fixture .pybuild/*/build/data

## zarr 2.17.0+ds

=== docs/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W --keep-going
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build

=== debian/changelog ===
zarr (2.17.0+ds-2) unstable; urgency=medium

  * debian/rules:
    - Skip tests on s390x (see
      https://github.com/zarr-developers/zarr-python/issues/1375).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Mar 2024 11:26:48 +0000

zarr (2.17.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - Update dependencies: (add python3-sphinx-automodapi,
      drop python3-sphinx-rtd-theme).
  * debian/rules:
    - Updaet the list of tests to skip.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Feb 2024 14:23:49 +0000

zarr (2.16.1+ds-2) unstable; urgency=medium

  * debian/rules:
    - Temparaty disable tests that are broken on BE
      architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 31 Aug 2023 07:50:31 +0000

zarr (2.16.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Use <!nodoc> and <!nocheck> markers.
  * Switch to autopkgtest-pkg-pybuild and remove the
    no lonter needed d/tests folder.
  * Switch to dh-sequence-*.
  * New d/clean file.
  * debian/rules:
    - Use setuptools-scm to generate the version file.
    - Improve target for HTML doc generarion.
  * Update d/python3-zarr.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 19 Aug 2023 08:25:28 +0000

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/,\
repacksuffix=+ds \
https://github.com/zarr-developers/zarr-python/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zarr 2.18.2%2Bds

=== debian/changelog ===
zarr (2.18.2+ds-2) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency on python3-gdbm.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 28 May 2024 18:04:26 +0000

zarr (2.18.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 17 May 2024 05:49:08 +0000

zarr (2.18.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 08 May 2024 06:44:32 +0000

zarr (2.17.2+ds-2) unstable; urgency=medium

  * debian/rules:
    - Skip broken test. The issue seems to be due to incorrect
      assumptions in the test code and triggered by a change in
      the behavior of "simplecache" in python3-fsspec v2024.3.x.
      The issue has bee reported upstream:
      https://github.com/zarr-developers/zarr-python/issues/1819.
      Closes: #1069843.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 01 May 2024 16:18:43 +0000

zarr (2.17.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Apr 2024 18:15:43 +0000

zarr (2.17.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Mar 2024 14:25:53 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-asciitree,
                python3-fasteners,
                python3-fsspec,
+               python3-gdbm,
                python3-h5py,
                python3-msgpack,
                python3-numcodecs,
@@ -43,7 +44,8 @@
          ${sphinxdoc:Depends},
          python3-sphinx-copybutton,
          python3-pydata-sphinx-theme
-Recommends: python3-fsspec
+Recommends: python3-fsspec,
+            python3-gdbm
 Suggests: python3-h5py,
           jupyter-notebook
 Description: chunked, compressed, N-dimensional arrays for Python

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 and not [static_nested] \
 and not [static_flat_legacy] \
 and not [static_nested_legacy] \
-and not test_meta_prefix_6853" \
+and not test_meta_prefix_6853 \
+and not test_complex" \
 --pyargs ${PYBUILD_NAME}
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))

## zarr 2.18.2+ds

=== debian/changelog ===
zarr (2.18.2+ds-3) unstable; urgency=medium

  * debian/rules:
    - Temporarily skip test_encode_decode_array_dtype_shape_v3.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 22 Jul 2024 06:42:13 +0000

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
 and not [static_flat_legacy] \
 and not [static_nested_legacy] \
 and not test_meta_prefix_6853 \
-and not test_complex" \
+and not test_complex \
+and not test_encode_decode_array_dtype_shape_v3" \
 --pyargs ${PYBUILD_NAME}
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))

## zarr 2.18.3+ds

=== debian/changelog ===
zarr (2.18.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.7.0, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Sep 2024 10:07:05 +0000

## zarr 2.18.4+ds

=== debian/changelog ===
zarr (2.18.4+ds-3) unstable; urgency=medium

  * debian/patches:
    - Make 0001-Do-not-use-the-deprecated-functions.patch compatible
      with old numcodecs versions.
  * Update d/python3-zarr.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Jan 2025 07:37:32 +0000

zarr (2.18.4+ds-2) unstable; urgency=medium

  * debian/patches:
    - New 0001-Do-not-use-the-deprecated-function.patch
      (Closes: #1094132).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Jan 2025 15:39:12 +0000

zarr (2.18.4+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 16 Dec 2024 21:36:05 +0000

zarr (2.18.3+ds-2) unstable; urgency=medium

  * debian/rules:
    - Update the list of tests to skip.
  * UPdate d/python3-zarr.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 27 Nov 2024 08:08:46 +0000

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                python3-sphinx-design <!nodoc>,
                python3-sphinx-issues <!nodoc>,
                python3-pydata-sphinx-theme <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/zarr
 Vcs-Git: https://salsa.debian.org/science-team/zarr.git
 Homepage: https://github.com/zarr-developers/zarr-python

=== debian/rules ===
--- 
+++ 
@@ -11,15 +11,17 @@
 export PYBUILD_NAME=zarr
 export PYBUILD_TEST_ARGS=\
 -k "not test_hierarchy \
+and not test_complex \
+and not test_array_with_delta_filter \
 and not test_utf8_encoding \
 and not [static_flat] \
 and not [static_nested] \
 and not [static_flat_legacy] \
 and not [static_nested_legacy] \
 and not test_meta_prefix_6853 \
-and not test_complex \
 and not test_encode_decode_array_dtype_shape_v3" \
 --pyargs ${PYBUILD_NAME}
+
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))
 export PYBUILD_DISABLE=test

## zarr 3.0.4

=== debian/changelog ===
zarr (3.0.4-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 26 Feb 2025 06:45:01 +0000

zarr (3.0.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/rules:
    - Skip broken test: test_oindex.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Feb 2025 18:28:38 +0000

zarr (3.0.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add d/python3-zarr.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Feb 2025 10:26:35 +0000

zarr (3.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/rules:
    - Drop execute_after_dh_auto_test target, no longer needed.
    - Drop SETUPTOOLS_SCM_PRETEND_VERSION environment variable.
    - Re-enable all tests.
    - Enable CI hypothesis profile.
  * debian/control:
    - Update dependencies.
  * Drop d/python3-zarr.lintian-overrides (no longer needed).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Jan 2025 14:51:58 +0000

=== debian/control ===
--- 
+++ 
@@ -10,26 +10,32 @@
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
                pybuild-plugin-pyproject,
+               python3-aiohttp <!nocheck>,
                python3-all,
-               python3-asciitree,
-               python3-fasteners,
+               python3-botocore <!nocheck>,
+               python3-crc32c,
+               python3-donfig,
                python3-fsspec,
-               python3-gdbm,
-               python3-h5py,
-               python3-msgpack,
+               python3-hatch-vcs,
+               python3-hatchling,
+               python3-hypothesis <!nocheck>,
+               python3-msgpack <!nodoc>,
                python3-numcodecs,
                python3-numpy,
                python3-numpydoc <!nodoc>,
+               python3-packaging,
+               python3-typing-extensions,
                python3-pytest <!nocheck>,
-               python3-pytest-doctestplus <!nocheck>,
-               python3-pytest-timeout <!nocheck>,
-               python3-setuptools,
-               python3-setuptools-scm,
+               python3-pytest-asyncio <!nocheck>,
+               python3-requests <!nocheck>,
+               python3-rich <!nocheck>,
                python3-sphinx <!nodoc>,
-               python3-sphinx-automodapi <!nodoc>,
+               python3-sphinx-autoapi <!nodoc>,
+               python3-sphinx-autobuild <!nodoc>,
                python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-design <!nodoc>,
                python3-sphinx-issues <!nodoc>,
+               python3-sphinx-reredirects <!nodoc>,
                python3-pydata-sphinx-theme <!nodoc>
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/zarr
@@ -39,15 +45,17 @@
 
 Package: python3-zarr
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-crc32c,
+         python3-sphinx-copybutton,
+         python3-pydata-sphinx-theme,
          ${python3:Depends},
          ${sphinxdoc:Depends},
-         python3-sphinx-copybutton,
-         python3-pydata-sphinx-theme
-Recommends: python3-fsspec,
-            python3-gdbm
-Suggests: python3-h5py,
-          jupyter-notebook
+         ${misc:Depends}
+Recommends: python3-aiohttp,
+            python3-botocore,
+            python3-fsspec,
+            python3-requests,
+	    python3-rich
 Description: chunked, compressed, N-dimensional arrays for Python
  Zarr is a Python package providing an implementation of compressed,
  chunked, N-dimensional arrays, designed for use in parallel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# include /usr/share/dpkg/architecture.mk
# ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))
# export PYBUILD_DISABLE=test
# endif

export PYBUILD_NAME=zarr
export PYBUILD_TEST_ARGS=\
--hypothesis-profile ci \
-k "not test_roundtrip \
and not test_oindex"

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd $(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') && \
	PYTHONPATH=. \
	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 \
	sphinx-build -N -E -T -b html $(CURDIR)/docs $(CURDIR)/.pybuild/docs/html
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

## zarr 3.0.6

=== debian/changelog ===
zarr (3.0.6-2) unstable; urgency=medium

  * Team upload
  * Support big-endian architectures (closes: #1104671)

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 May 2025 13:27:55 +0100

zarr (3.0.6-1) unstable; urgency=medium

  * New upstream release (Closes: 1101026).
  * Standards version bumpes to 4.7.2, no change.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Mar 2025 11:08:46 +0000

zarr (3.0.5-2) unstable; urgency=medium

  * debian/rules:
    - Disable tests on BE architectures (not supported upstream).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 09 Mar 2025 16:55:14 +0000

zarr (3.0.5-1) unstable; urgency=medium

  * New upstream releae (Closes: #1099299).
  * Upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 08 Mar 2025 11:18:45 +0000

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                python3-sphinx-issues <!nodoc>,
                python3-sphinx-reredirects <!nodoc>,
                python3-pydata-sphinx-theme <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/zarr
 Vcs-Git: https://salsa.debian.org/science-team/zarr.git
 Homepage: https://github.com/zarr-developers/zarr-python

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# include /usr/share/dpkg/architecture.mk
-# ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))
-# export PYBUILD_DISABLE=test
-# endif
+include /usr/share/dpkg/architecture.mk
+ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))
+export PYBUILD_DISABLE=test
+endif
 
 export PYBUILD_NAME=zarr
 export PYBUILD_TEST_ARGS=\

## zarr 3.1.2

=== debian/changelog ===
zarr (3.1.2-2) unstable; urgency=medium

  * debian/rules:
    - Disable unittests on BE architectures. See
      https://github.com/zarr-developers/zarr-python/issues/3438.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Sep 2025 07:31:19 +0000

zarr (3.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop bigendian.patch, appied upstream.
  * debian/rules:
    - Re-enable test on BE architectures.
    - Skip broken tests (warnings raised by "is_empty").
  * debian/control:
    - Add dependencies on python3-moto, python3-tomlkit and
      python3-pytest-xdist (only needed for testing).
  * Install examples (new d/python3-zarr.examples file).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 26 Aug 2025 08:54:02 +0000

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,17 @@
                python3-hatch-vcs,
                python3-hatchling,
                python3-hypothesis <!nocheck>,
+               python3-moto <!nocheck>,
                python3-msgpack <!nodoc>,
                python3-numcodecs,
                python3-numpy,
                python3-numpydoc <!nodoc>,
                python3-packaging,
+               python3-tomlkit <!nocheck>,
                python3-typing-extensions,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-requests <!nocheck>,
                python3-rich <!nocheck>,
                python3-sphinx <!nodoc>,
